Package org.apache.tools.ant.taskdefs.optional.j2ee

## Interface HotDeploymentTool

- All Known Implementing Classes:
    `AbstractHotDeploymentTool`, `GenericHotDeploymentTool`, `JonasHotDeploymentTool`, `WebLogicHotDeploymentTool`

      public interface HotDeploymentTool

  An interface for vendor-specific "hot" deployment tools.
  See Also:
    `AbstractHotDeploymentTool`, `ServerDeploy`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_DELETE` | The delete action String
    `static java.lang.String` | `ACTION_DEPLOY` | The deploy action String
    `static java.lang.String` | `ACTION_LIST` | The list action String
    `static java.lang.String` | `ACTION_UNDEPLOY` | The undeploy action String
    `static java.lang.String` | `ACTION_UPDATE` | The update action String

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deploy()` | Perform the actual deployment.
    `void` | `setTask​(ServerDeploy task)` | Sets the parent task.
    `void` | `validateAttributes()` | Validates the passed in attributes.

- - ### Field Detail

    - #### ACTION_DELETE

          static final java.lang.String ACTION_DELETE

      The delete action String
      See Also:
        Constant Field Values

    - #### ACTION_DEPLOY

          static final java.lang.String ACTION_DEPLOY

      The deploy action String
      See Also:
        Constant Field Values

    - #### ACTION_LIST

          static final java.lang.String ACTION_LIST

      The list action String
      See Also:
        Constant Field Values

    - #### ACTION_UNDEPLOY

          static final java.lang.String ACTION_UNDEPLOY

      The undeploy action String
      See Also:
        Constant Field Values

    - #### ACTION_UPDATE

          static final java.lang.String ACTION_UPDATE

      The update action String
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### validateAttributes

          void validateAttributes()
                           throws BuildException

      Validates the passed in attributes.
      Throws:
        `BuildException` - if the attributes are invalid or incomplete.

    - #### deploy

          void deploy()
               throws BuildException

      Perform the actual deployment.
      Throws:
        `BuildException` - if the attributes are invalid or incomplete.

    - #### setTask

          void setTask​(ServerDeploy task)

      Sets the parent task.
      Parameters:
        `task` - A ServerDeploy object representing the parent task.